Subject: avr-gcc fails after upgrade to gcc 10
From: Kristian Lein-Mathisen <[email-masked]>
To: [email-masked]
Date: Tue, 11 Apr 2023 20:43:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm no longer able to compile for attiny85:

klm@pal /tmp ➤ echo '' > test.c
klm@pal /tmp ➤ avr-gcc -mmcu=attiny85 test.c
avr-ld: cannot find crtattiny85.o: No such file or directory
avr-ld: cannot find -lm
avr-ld: cannot find -lc
avr-ld: cannot find -lattiny85
collect2: error: ld returned 1 exit status

I'm currently getting no output for avr-toolchain, which I believe is
related:

> ls -l $(guix build avr-toolchain)
total 0

I've been reading https://issues.guix.gnu.org/39918 and I think it may be
causing the problem. It seems that resulted in commit
197c1676d3733f6d8ce30bdc9977ba731b33ec71 (avr-libc going from function to
package) which seems to revert part of what's been done
in 4d2470b0efb399ad974e2a764db685e952b94323 (avr-libc going from package to
function).

I'm hoping would be kind enough to look into this.
Thank you,
Kris